/*******************************************************************@CM2CPYR*/
/*                                                                  @CM2CPYR*/
/*     Licensed Materials - Property of IBM                         @CM2CPYR*/
/*                                                                  @CM2CPYR*/
/*     5622-078                                                     @CM2CPYR*/
/*     (C) Copyright IBM Corp. 1988, 1995 All Rights Reserved.      @CM2CPYR*/
/*                                                                  @CM2CPYR*/
/*     US Government Users Restricted Rights - Use, duplication or  @CM2CPYR*/
/*     disclosure restricted by GSA ADP Schedule Contract with      @CM2CPYR*/
/*     IBM Corp.                                                    @CM2CPYR*/
/*                                                                  @CM2CPYR*/
/*******************************************************************@CM2CPYR*/
#ifdef __cplusplus
  extern "C" {
#endif

#ifndef  APPCCFG_INCLUDED
#define  APPCCFG_INCLUDED
#ifndef  APPCDEF_INCLUDED
#include <appcdef.h>
#endif


 /***************************************************************************/
 /*     Configuration Verb Control Block Structures                         */
 /***************************************************************************/


typedef struct define_cos {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_COS                   */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv4[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  cos_name[8];                /* COS Name (EBCDIC type A)          */
    UCHAR  reserv3;                    /* Reserved                          */
    UCHAR  trans_priority;             /* Transmission Priority             */
                                       /*    AP_NETWORK                     */
                                       /*    AP_HIGH                        */
                                       /*    AP_MEDIUM                      */
                                       /*    AP_LOW                         */
    UCHAR  num_of_node_rows;           /* Number of Node Rows (1-8)         */
    UCHAR  num_of_tg_rows;             /* Number of TG Rows (1-8)           */
    UCHAR  reserv5[32];
} DEFINE_COS;


typedef struct node_row_overlay        /* One for each node row             */

  /**************************************************************************/
  /* The address of the first of these structures should be: define_cos +   */
  /* sizeof(define_cos) to build the next block of node row information,    */
  /* add: sizeof(node_row_overlay)                                          */
  /**************************************************************************/

{
    UCHAR  congestion_min;             /* Congestion Min                    */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  congestion_max;             /* Congestion Max                    */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  route_add_res_min;          /* Route Addition Resistance Min     */
                                       /*    0-255                          */
    UCHAR  route_add_res_max;          /* Route Addition Resistance Max     */
                                       /*    0-255                          */
    UCHAR  reserv1[2];                 /* Reserved                          */
    UCHAR  weight;                     /* Node Row Weight                   */
                                       /*    0-255                          */
    UCHAR  reserv2;                    /* Reserved                          */
} NODE_ROW_OVERLAY;


typedef struct tg_row_overlay          /* One for each tg row               */

  /**************************************************************************/
  /* The address of the first of these structures should be: define_cos +   */
  /* sizeof(define_cos) + (define_cos.num_of_node_rows *                    */
  /* sizeof(node_row_overlay)). To build the next block of tg row           */
  /* information, add: sizeof(tg_row_overlay)                               */
  /**************************************************************************/

{
    UCHAR  cost_per_time_min;          /* Cost Per Connect Min              */
                                       /*    0-255                          */
    UCHAR  cost_per_time_max;          /* Cost Per Connect Max              */
                                       /*    0-255                          */
    UCHAR  cost_per_byte_min;          /* Cost Per Byte Min                 */
                                       /*    0-255                          */
    UCHAR  cost_per_byte_max;          /* Cost Per Byte Min                 */
                                       /*    0-255                          */

    UCHAR  security_min;               /* Security Min                      */
    UCHAR  security_max;               /* Security Max                      */
                                       /*    AP_SEC_NONSECURE               */
                                       /*    AP_SEC_PUBLIC_SWITCHED_NETWORK */
                                       /*    AP_SEC_UNDERGROUND_CABLE       */
                                       /*    AP_SEC_SECURE_CONDUIT          */
                                       /*    AP_SEC_GUARDED_CONDUIT         */
                                       /*    AP_SEC_ENCRYPTED               */
                                       /*    AP_SEC_GUARDED_RADIATION       */

    UCHAR  propagation_delay_min;      /* Propagation Delay Min             */
    UCHAR  propagation_delay_max;      /* Propagation Delay Max             */
                                       /*    AP_PROP_DELAY_MINIMUM          */
                                       /*    AP_PROP_DELAY_LAN              */
                                       /*    AP_PROP_DELAY_TELEPHONE        */
                                       /*    AP_PROP_DELAY_PKT_SWITCHED_NET */
                                       /*    AP_PROP_DELAY_SATELLITE        */
                                       /*    AP_PROP_DELAY_MAXIMUM          */

    UCHAR  effective_cap_min;          /* Effective Capacity Min            */
    UCHAR  effective_cap_max;          /* Effective Capacity Max            */
                                       /*    1 byte floating point number   */
                                       /*       5 bit exponent              */
                                       /*       3 bit mantissa              */

    UCHAR  user_defined_1_min;         /* User Defined 1 Min                */
    UCHAR  user_defined_1_max;         /* User Defined 1 Max                */
    UCHAR  user_defined_2_min;         /* User Defined 2 Min                */
    UCHAR  user_defined_2_max;         /* User Defined 2 Max                */
    UCHAR  user_defined_3_min;         /* User Defined 3 Min                */
    UCHAR  user_defined_3_max;         /* User Defined 3 Max                */
    UCHAR  reserv2[2];                 /* Reserved                          */
    UCHAR  weight;                     /* TG Row Weight                     */
                                       /*    0-255                          */
    UCHAR  reserv3;                    /* Reserved                          */
} TG_ROW_OVERLAY;


typedef struct define_default_soc {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_DEFAULT_SOC           */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  replace_backup_fp;          /* Replace backup FP?                */
                                       /*    AP_REPLACE_BACKUP_FP           */
                                       /*    AP_KEEP_BACKUP_FP              */
    UCHAR  fq_backup_fp_name[17];      /* Fully Qualified Backup FP Name    */
                                       /*    0 or 3-17 bytes (EBCDIC type A)*/
    UCHAR reserv4[34];                 /* Reserved                          */
} DEFINE_DEFAULT_SOC;


typedef struct define_explicit_soc {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_EXPLICIT_SOC          */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  replace_backup_fp;          /* Replace backup FP?                */
                                       /*    AP_REPLACE_BACKUP_FP           */
                                       /*    AP_KEEP_BACKUP_FP              */
    UCHAR  fq_backup_fp_name[17];      /* Fully Qualified Backup FP Name    */
                                       /*    0 or 3-17 bytes (EBCDIC type A)*/
    UCHAR  num_of_soc_nodes;           /* Number of nodes in SOC (1-255)    */
    UCHAR  reserv4[33];                /* Reserved                          */
} DEFINE_EXPLICIT_SOC;


typedef struct soc_node_overlay        /* One for each node in the SOC      */

  /**************************************************************************/
  /* The address of the first of these structures should be:                */
  /* define_explicit_soc + sizeof(define_explicit_soc)                      */
  /* To build each additional block of SOC node information,                */
  /* add: sizeof(soc_node_overlay)                                          */
  /**************************************************************************/

{
    UCHAR  fq_soc_node_name[17];       /* Fully Qualified Node Name         */
                                       /*    3-17 bytes (EBCDIC type A)     */
    UCHAR  reserv1[3];                 /* Reserved                          */
} SOC_NODE_OVERLAY;


typedef struct define_local_lu {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_LOCAL_LU              */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  lu_name[8];                 /* LU Name (EBCDIC type A)           */
    UCHAR  lu_alias[8];                /* LU Alias (ASCII)                  */
    UCHAR  nau_address;                /* Network Addressable Unit Address  */
                                       /*    0 or 1-254                     */
    UCHAR  external_support;           /* External support for sync point   */
                                       /*  AP_NONE                 x'00'    */
                                       /*  AP_SYNCPT_PROVIDER      x'80'    */
                                       /*  AP_REMOTE_TP_PROVIDER   x'40'    */
                                       /*  AP_SYNCPT_AND_REMOTE_TP x'C0'    */
    UCHAR  host_link_name[8];          /* Host link name                    */
                                       /*    0 or 1-8 bytes (EBCDIC type A) */
    UCHAR  lu_model_name[7];           /* Self-defining dep LU model name   */
    UCHAR  reserv4[35];                /* Reserved                          */
} DEFINE_LOCAL_LU;


typedef struct define_logical_link {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_LOGICAL_LINK          */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  link_name[8];               /* Link Name (EBCDIC type A)         */
    UCHAR  fq_adj_cp_name[17];         /* Fully Qualified Adjacent CP Name  */
                                       /*    0 or 3-17 bytes (EBCDIC type A)*/
    UCHAR  adj_node_type;              /* Adjacent Node Type                */
                                       /*    AP_LEARN                       */
                                       /*    AP_LEN                         */
                                       /*    AP_NN                          */
    UCHAR  dlc_name[8];                /* DLC Name (ASCII)                  */
    UCHAR  max_activation_attempts;    /* Retry link count, 0 = infinite    */
    UCHAR  backup_host_link;           /* 0=no,1=yes. Is this backup link?  */
    UCHAR  reserv6;                    /* Reserved                          */
    UCHAR  use_puname_as_cpname;       /* 0=no,1=yes. Put PU on CP's XID?   */
    UCHAR  reserv4[2];                 /* Reserved                          */
    ULONG  node_id;                    /* Node ID                           */
    UCHAR  adapter_number;             /* Adapter Number 0-255              */
    UCHAR  dest_addr_len;              /* Destination Address Len 0 or 1-16 */
    UCHAR  dest_addr[7];               /* Destination Address               */
    UCHAR  ethernet_format;            /* Destination addr ethernet format? */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  ethernet_address[8];        /* Internal - ethernet format address*/
    UCHAR  ocdt_entry_name[16];        /* Outgoing Call Directory Entry     */
                                       /* Name, used for ISDN.              */
    UCHAR  x25_dir_entry[8];           /* X.25 Directory Entry (ASCII)      */
    UCHAR  pref_nn_server;             /* Preferred Network Node Server     */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  cp_cp_sess_supp;            /* CP-CP Session Support             */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  auto_activate;              /* Auto Activate Link                */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  limited_resource;           /* limited resource                  */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
                                       /*    AP_USE_ADAPTER_DEF_CHAR        */
    UCHAR  link_station_role;          /* Link Station Role                 */
                                       /*    AP_PRIMARY                     */
                                       /*    AP_SECONDARY                   */
                                       /*    AP_NEGOTIABLE                  */
    UCHAR  connection_type;            /* Connection Type                   */
                                       /*    AP_AUTODIAL                    */
                                       /*    AP_PERMANENT                   */
                                       /*    AP_DTR_MANUAL_DIAL             */
                                       /*    AP_INCOMING_ONLY               */
    ULONG  effective_capacity;         /* Effective Capacity of Link        */
                                       /* (0 - long int) or                 */
                                       /* AP_USE_ADAPTER_DEF_LONG           */
    USHORT time_cost;                  /* Cost Per Connect Time (0-255)     */
    USHORT byte_cost;                  /* Cost Per Byte (0-255)             */
    USHORT security;                   /*    AP_SEC_NONSECURE               */
                                       /*    AP_SEC_PUBLIC_SWITCHED_NETWORK */
                                       /*    AP_SEC_UNDERGROUND_CABLE       */
                                       /*    AP_SEC_SECURE_CONDUIT          */
                                       /*    AP_SEC_GUARDED_CONDUIT         */
                                       /*    AP_SEC_ENCRYPTED               */
                                       /*    AP_SEC_GUARDED_RADIATION       */
                                       /*    AP_USE_ADAPTER_DEF_SHORT       */
    USHORT propagation_delay;          /*    AP_PROP_DELAY_MINIMUM          */
                                       /*    AP_PROP_DELAY_LAN              */
                                       /*    AP_PROP_DELAY_TELEPHONE        */
                                       /*    AP_PROP_DELAY_PKT_SWITCHED_NET */
                                       /*    AP_PROP_DELAY_SATELLITE        */
                                       /*    AP_PROP_DELAY_MAXIMUM          */
                                       /*    AP_USE_ADAPTER_DEF_SHORT       */
    USHORT user_defined_1;             /* 0-255                             */
                                       /* AP_USE_ADAPTER_DEF_SHORT          */
    USHORT user_defined_2;             /* 0-255                             */
                                       /* AP_USE_ADAPTER_DEF_SHORT          */
    USHORT user_defined_3;             /* 0-255                             */
                                       /* AP_USE_ADAPTER_DEF_SHORT          */
    UCHAR  reserv5[2];                 /* Reserved                          */
    UCHAR  pu_name[8];                 /* PU Name                           */
                                       /*    0 or 1-8 bytes (EBCDIC type A) */
    ULONG  adj_node_id;                /* Adjacent CP Node ID               */
    UCHAR  reserv7;                    /* Reserved (Line type internal)     */
    UCHAR  solicit_sscp_session;       /* Solicit SSCP Session?             */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  reserv8;                    /* Reserved (INIT_SELF)              */
    UCHAR  reserv9;                    /* Reserved (BINDS_SUP)              */
    UCHAR  hpr_support;                /* Use HPR                           */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  reserv10;                   /* Reserved                          */
    UCHAR  adj_link_station[8];        /* Adjacent link station name        */
                                       /*    0 or 1-8 bytes (EBCDIC type A) */
    USHORT max_i_field_size;           /* Maximum I Field Size              */
                                       /*    AP_USE_ADAPTER_DEF_SHORT       */
                                       /*    265-16393                      */
    UCHAR  send_count;                 /* Send Window Count                 */
                                       /*    AP_USE_ADAPTER_DEF_CHAR        */
                                       /*    1-127                          */
    UCHAR  receive_count;              /* Receive Window Count              */
                                       /*    AP_USE_ADAPTER_DEF_CHAR        */
                                       /*    1-127                          */
    USHORT limited_resource_timeout;   /* Limited Resource Timeout          */
                                       /*    AP_USE_ADAPTER_DEF_SHORT       */
                                       /*    0-99                           */
    USHORT inactivity_timeout;         /* Inactivity Timeout                */
                                       /*    AP_USE_ADAPTER_DEF_SHORT       */
                                       /*    0-999                          */
    UCHAR  data_mode;                  /* Data Tansmission Mode             */
                                       /*    AP_HALF_DUPLEX                 */
                                       /*    AP_FULL_DUPLEX                 */
                                       /*    AP_USE_ADAPTER_DEF_CHAR        */
    UCHAR  auto_reactivate;            /* Auto Reactivate                   */
                                       /*    AP_NO_RETRY           x'00'    */
                                       /*    AP_INFINITE_RETRY     x'FE'    */
    UCHAR  fq_backup_dlus_name[17];    /* Fully Qualified Backup DLuS Name  */
                                       /*    0 or 3-17 bytes (EBCDIC type A)*/
    UCHAR  primary_link_name[8];       /* Primary Link Name                 */
                                       /*    0 or 1-8 bytes (EBCDIC type A) */
    UCHAR  reserv12[159];              /* Reserved                          */
    ULONG  link_specific;              /* link specific                     */
} DEFINE_LOGICAL_LINK;

/****************************************************************************/
/* The following structure is for IDLC links.  The address should be        */
/* define_logical_link + sizeof(define_logical_link).  The link_specific    */
/* parameter in the logical link should be set to                           */
/* sizeof(idlc_parms_overlay).                                              */
/****************************************************************************/
typedef struct idlc_parms_overlay {
    USHORT  t200;                      /* Timeout Value                     */
                                       /*    0 = Use Adapter Definition     */
                                       /*    1-300                          */
    USHORT  t203;                      /* Inactivity Timer                  */
                                       /*    0 = Use Adapter Definition     */
                                       /*    1-65                           */
    USHORT  reserv12;                  /* Maximum I field size -reserved    */
                                       /* old N201 -Use max_I_field_size    */
                                       /* This is unused                    */
    UCHAR   n200;                      /* Retransmission Threshold          */
                                       /*    0 = Use Adapter Definition     */
                                       /*    1-127                          */
    UCHAR   reserv13;                  /* Maximum # of I-frames-reserved    */
                                       /* Old K - Use Send_Count instead    */
                                       /* This is unused                    */
    UCHAR   nw;                        /* Dynamic Window Increment Size     */
                                       /*    0 = Use Adapter Definition     */
                                       /*    1-127                          */
    UCHAR   reserv[7];                 /* Reserved                          */
} IDLC_PARMS_OVERLAY;

/****************************************************************************/
/* The following structure is for SDLC links.  The address should be        */
/* define_logical_link + sizeof(define_logical_link).  The link_specific    */
/* parameter in the logical link should be set to                           */
/* sizeof(sdlc_parms_overlay).                                              */
/****************************************************************************/

typedef struct sdlc_parms_overlay {
    UCHAR  primary_receive_timer;      /* Primary Receive Timer             */
                                       /*    0 = Use Adapter Definition     */
                                       /*    10-200                         */
    UCHAR  secondary_inactivity_timer; /* Secondary Inactivity Timer        */
                                       /*    0 = Use Adapter Definition     */
                                       /*    40-160                         */
    UCHAR  non_xid_repoll_count;       /* Non-XID Repoll Count              */
                                       /*    0 = Use Adapter Definition     */
                                       /*    1-127                          */
    UCHAR  reserved[9];                /* Reserved for future use           */
} SDLC_PARMS_OVERLAY;


typedef struct define_lu_lu_password
{
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_LU_LU_PASSWORD        */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* KEY                               */
    UCHAR  lu_alias[8];                /* LU Alias (ASCII) 0 or 1-8 bytes   */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*    1-17 bytes (EBCDIC type A)     */
    UCHAR  enhanced_session_security;  /* Enhanced Session Security         */
                                       /*    AP_ADAPT                       */
                                       /*    AP_ONLY                        */
    UCHAR  password[8];                /* Password  0 or 8 bytes            */
    UCHAR  reserv4[34];                /* Reserved                          */
} DEFINE_LU_LU_PASSWORD;


typedef struct define_mode {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_MODE                  */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  mode_name[8];               /* Mode Name (EBCDIC type A)         */
    UCHAR  compression_need;           /* Need                              */
                                       /*    AP_PROHIBITED                  */
                                       /*    AP_SYSTEM                      */
                                       /*    AP_REQUESTED                   */
    UCHAR  pacing_type;                /* Pacing Type                       */
                                       /*    AP_ADAPTIVE_PACING             */
                                       /*    AP_FIXED_PACING                */
    USHORT max_ru_size_upp;            /* Max RU Size Upper Bound           */
                                       /*    256-16384                      */
    UCHAR  receive_pacing_win;         /* Receive Pacing Window  0 or 1-63  */
    UCHAR  default_ru_size;            /* Default RU Size                   */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    USHORT max_neg_sess_lim;           /* Max Negotiable Session Limit      */
                                       /*    0 or 1-32767                   */
    USHORT plu_mode_session_lim;       /* PLU Mode Session Limit            */
                                       /*    0 or 1-32767                   */
    USHORT min_conwin_src;             /* Min Conwinners Source             */
                                       /*    0 or 1-32767                   */
    UCHAR  plu_slu_compression;        /* PLU->SLU traffic                  */
                                       /*    AP_NONE                        */
                                       /*    AP_RLE                         */
                                       /*    AP_LZ9                         */
    UCHAR  slu_plu_compression;        /* SLU->PLU traffic                  */
                                       /*    AP_NONE                        */
                                       /*    AP_RLE                         */
                                       /*    AP_LZ9                         */
    UCHAR  cos_name[8];                /* COS Name (EBCDIC type A)          */
    UCHAR  session_level_encryption;   /* Session level encryption          */
                                       /*    AP_NONE                        */
                                       /*    AP_MANDATORY                   */
                                       /*    AP_SELECTIVE                   */
                                       /*    AP_OPTIONAL                    */
    UCHAR  appn_encryption_support;    /* Appn Encrption support            */
                                       /*    AP_NONE                        */
                                       /*    AP_EN_SLE                      */
                                       /*    AP_NNS_SLE                     */
    UCHAR  reserv4[64];                /* Reserved                          */
} DEFINE_MODE;


typedef struct define_partner_lu {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_PARTNER_LU            */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*    0 or 1-17 bytes (EBCDIC type A)*/
    UCHAR  reserv4[3];                 /* Reserved                          */
    UCHAR  plu_alias[8];               /* Partner LU Alias (ASCII)          */
                                       /*    0 or 1-8 bytes                 */
    UCHAR  plu_un_name[8];             /* Partner Uninterpreted Name        */
                                       /*    (EBCDIC)  0 or 1-8 bytes       */
    ULONG  max_mc_ll_send_size;        /* Max Mapped Conv LL 0 or 2048-32767*/
    UCHAR  conv_security_ver;          /* Conversation Security Verification*/
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  parallel_sess_supp;         /* Parallel Session Support          */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  reserv5[8];                 /* Reserved                          */
    UCHAR  default_routing_preference; /* Default Routing Preference        */
                                       /*    AP_NATIVE_FIRST                */
                                       /*    AP_NON_NATIVE_FIRST            */
                                       /*    AP_NATIVE_ONLY                 */
                                       /*    AP_NON_NATIVE_ONLY             */
    UCHAR  num_of_alt_aliases;         /* Number of alternate PLU aliases   */
                                       /* (not including the plu_alias).    */
                                       /*    0 or # of alt_alias_overlays   */
    /************************************************************************/
    /* The address of the first alternate partner LU alias is:              */
    /* define_partner_lu + sizeof(define_partner_lu).  To build the address */
    /* of the next partner LU alias, add: sizeof(struct alt_alias_overlay). */
    /* See struct alt_alias_overlay in APPCDEF.H.                           */
    /************************************************************************/
    UCHAR  reserv6[32];                /* Reserved                          */

} DEFINE_PARTNER_LU;


typedef struct define_partner_lu_location {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_PARTNER_LU_LOCATION   */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*     1-17 bytes (EBCDIC type A)    */
    UCHAR  wildcard_entry;             /* Wildcard Entry                    */
                                       /*    AP_FULL                        */
                                       /*    AP_PARTIAL                     */
                                       /*    AP_NO                          */
    UCHAR  fq_owning_cp_name[17];      /* Fully Qualified Owning CP Name    */
                                       /*    3-17 bytes (EBCDIC type A)     */
    UCHAR  local_node_nn_server;       /* Local Node NN Server?             */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  fq_nn_server_name[17];      /* Fully Qualified NN Server Name    */
                                       /*    0 or 3-17 bytes (EBCDIC type A)*/
    UCHAR  reserv4[35];                /* Reserved                          */
} DEFINE_PARTNER_LU_LOCATION;


typedef struct define_remote_fp {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_REMOTE_FOCAL_POINT    */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv4[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  fq_primary_fp_name[17];     /* Fully Qualified Primary FP Name   */
                                       /*    3-17 bytes (EBCDIC type A)     */
    UCHAR  reserv3[2];                 /* Reserved                          */
    UCHAR  num_of_backup_fps;          /* Number of backup focal pts (0-8)  */
    UCHAR  reserv5[32];                /* Reserved                          */
} DEFINE_REMOTE_FP;


typedef struct backup_fp_overlay       /* One for each backup focal point   */

  /**************************************************************************/
  /* The address of the first of these structures should be:                */
  /* define_remote_fp + sizeof(define_remote_fp)                            */
  /* To build each additional block of end point node information,          */
  /* add: sizeof(backup_fp_overlay)                                         */
  /**************************************************************************/

{
    UCHAR  fq_backup_fp_name[17];      /* Fully Qualified Focal Point Name  */
                                       /*    3-17 bytes (EBCDIC type A)     */
    UCHAR  reserv1[3];                  /* Reserved                          */
} BACKUP_FP_OVERLAY;


typedef struct define_tp {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_TP                    */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  tp_name[64];                /* Transaction Program Name          */
                                       /*     (EBCDIC type AE)  1-64 bytes  */
    UCHAR  reserv4;                    /* Reserved                          */
    UCHAR  pip_allowed;                /* Pip allowed to come in on Attach  */
    UCHAR  filespec[80];               /* TP Filespec (ASCII)               */
    UCHAR  parm_string[128];           /* TP Parameters (ASCII)             */
    UCHAR  icon_filespec[80];          /* Icon Filespec (ASCII)             */
    UCHAR  conversation_type;          /* Conversation Type                 */
                                       /*    AP_BASIC                       */
                                       /*    AP_MAPPED                      */
                                       /*    AP_EITHER                      */
                                       /*    AP_FDX_BASIC                   */
                                       /*    AP_FDX_MAPPED                  */
                                       /*    AP_FDX_EITHER                  */
                                       /*    AP_ANY_TYPE                    */
    UCHAR  conv_security_rqd;          /* Conversation Security Required    */
                                       /*    AP_NO                          */
                                       /*    AP_YES                         */
    UCHAR  sync_level;                 /* Sync Level                        */
                                       /*    AP_NONE                        */
                                       /*    AP_CONFIRM                     */
                                       /*    AP_EITHER                      */
                                       /*    AP_SYNCPT_REQUIRED             */
                                       /*    AP_SYNCPT_NEGOTIABLE           */
    UCHAR  tp_operation;               /* TP Operation                      */
                                       /*    AP_QUEUED_OPERATOR_STARTED     */
                                       /*    AP_QUEUED_AM_STARTED           */
                                       /*    AP_NONQUEUED_AM_STARTED        */
                                       /*    AP_QUEUED_OPERATOR_PRELOADED   */
    UCHAR  program_type;               /* Program Type                      */
                                       /*    AP_BACKGROUND                  */
                                       /*    AP_FULL_SCREEN                 */
                                       /*    AP_PRESENTATION_MANAGER        */
                                       /*    AP_VIO_WINDOWABLE              */
    UCHAR  incoming_alloc_queue_depth; /* Queue Depth Limit  1-255          */
    USHORT incoming_alloc_timeout;     /* Incoming Allocate Timeout         */
                                       /*    0-32767 or AP_INFINITE         */
    USHORT rcv_alloc_timeout;          /* Receive Allocate Timeout          */
                                       /*    0-32767 or AP_INFINITE         */
    UCHAR  reserv5[32];                /* Reserved                          */
} DEFINE_TP;


typedef struct define_user_id_password {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_USERID_PASSWORD       */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  user_id[10];                /* User ID (EBCDIC type AE)          */
    UCHAR  password[10];               /* Password (EBCDIC type AE)         */
    UCHAR  reserv4[32];                /* Reserved                          */
} DEFINE_USER_ID_PASSWORD;


typedef struct delete_cos {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_COS                   */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  cos_name[8];                /* COS Name (EBCDIC type A)          */
    UCHAR  reserv4[32];                /* Reserved                          */
} DELETE_COS;


typedef struct delete_default_soc {    /*                                   */
    USHORT opcode;                     /* Verb operation code               */
                                       /*    AP_DELETE_DEFAULT_SOC          */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Keylock                           */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  reserv4[32];                /* Reserved                          */
} DELETE_DEFAULT_SOC;                  /*                                   */


typedef struct delete_explicit_soc {
    USHORT opcode;                     /* Verb operation code               */
                                       /*    AP_DELETE_EXPLICIT_SOC         */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Keylock                           */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  num_of_soc_nodes;           /* Number of nodes in SOC (1-255)    */
    UCHAR  reserv;                     /* Reserved                          */
    UCHAR  reserv4[34];                /* Reserved                          */
} DELETE_EXPLICIT_SOC;                 /*                                   */

  /**************************************************************************/
  /* DELETE_EXPLICIT_SOC uses the same soc node overlay structure           */
  /* that DEFINE_EXPLICIT_SOC uses (see the definition of SOC_NODE_OVERLAY  */
  /* under the description of the DEFINE_EXPLICIT_SOC verb structure.       */
  /* The address of the first of these structures should be:                */
  /* delete_explicit_soc + sizeof(delete_explicit_soc)                      */
  /* To build each additional block of soc node information,                */
  /* add: sizeof(soc_node_overlay)                                          */
  /**************************************************************************/


typedef struct delete_local_lu {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_LOCAL_LU              */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  lu_name[8];                 /* LU Name                           */
    UCHAR  reserv4[36];                /* Reserved                          */

} DELETE_LOCAL_LU;


typedef struct delete_lu_lu_password
{
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_LU_LU_PASSWORD        */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* KEY                               */
    UCHAR  lu_alias[8];                /* LU Alias (ASCII) 0 or 1-8 bytes   */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*    1-17 bytes (EBCDIC type A)     */
    UCHAR  reserv4[35];                /* Reserved                          */
} DELETE_LU_LU_PASSWORD;


typedef struct delete_mode {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_MODE                  */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  mode_name[8];               /* Mode Name (EBCDIC type A)         */
    UCHAR  reserv4[32];                /* Reserved                          */
} DELETE_MODE;


typedef struct delete_partner_lu_location {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_PARTNER_LU_LOCATION   */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*    1-17 bytes (EBCDIC type A)     */
    UCHAR  wildcard_entry;             /* Wildcard Entry                    */
                                       /*    AP_FULL                        */
                                       /*    AP_PARTIAL                     */
                                       /*    AP_NO                          */
    UCHAR  reserv4[34];                /* Reserved                          */
} DELETE_PARTNER_LU_LOCATION;


typedef struct delete_partner_lu {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_PARTNER_LU            */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  fqplu_name[17];             /* Fully Qualified Partner LU Name   */
                                       /*    1-17 bytes (EBCDIC type A)     */
    UCHAR  reserv4[35];                /* Reserved                          */
} DELETE_PARTNER_LU;


typedef struct delete_tp {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_TP                    */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  tp_name[64];                /* TP Name (EBCDIC type AE)          */
    UCHAR  reserv4[32];                /* Reserved                          */
} DELETE_TP;


typedef struct delete_user_id_password {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DELETE_USERID_PASSWORD       */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  user_id[10];                /* User ID (EBCDIC type AE)          */
    UCHAR  reserv4[34];                /* Reserved                          */
} DELETE_USER_ID_PASSWORD;


typedef struct revoke_remote_fp {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_REVOKE_REMOTE_FOCAL_POINT    */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  ms_category[8];             /* MS category (user or SNA defined) */
                                       /*    1-8 bytes (EBCDIC type A)      */
                                       /*    or a 4 byte hex value          */
    UCHAR  reserv4[32];                /* Reserved                          */
} REVOKE_REMOTE_FP;


typedef struct define_lua {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_LUA                   */
    UCHAR  reserv1[2];                 /* Reserved                          */
    ULONG  verb_length;                /* length of verb record             */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    WAIT_OBJECT wait;                  /* Wait control structure            */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    ULONG  lua_opcode;                 /* Old LUA internal opcode 0x01C0    */
                                       /* lua_opcode is NO LONGER REQUIRED  */
                                       /* OR CHECKED                        */
    ULONG  reserv3;                    /* reserved for user correlator field*/
    UCHAR  lu_name[8];                 /* LU name (ASCII)                   */
    UCHAR  nau_address;                /* Network Addressable Unit Address  */
    UCHAR  reserv4;                    /* reserved for pu address           */
    UCHAR  host_link_name[8];          /* Host link name for dependent LUs  */
    UCHAR  reserv5;                    /* reserved for lu session type      */
    UCHAR  lu_model_name[7];           /* Self-defining dep LU model name   */
    UCHAR  reserv6[2];                 /* reserved                          */
} DEFINE_LUA;


typedef struct define_gw_wks {
    USHORT opcode;                      /* Verb operation code              */
                                        /*   AP_DEFINE_GW_WKS               */
    UCHAR  reserv1[6];                  /* Reserved                         */
    USHORT primary_rc;                  /* Primary RETURN_CODE              */
    UCHAR  reserv2[2];                  /* Reserved                         */
    ULONG  secondary_rc;                /* Secondary RETURN_CODE            */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                      /* Key (ASCII)                      */
    UCHAR  wks_link_name[8];            /* link name for link from GW to    */
                                        /*  the workstation.                */
    UCHAR  dlc_name[8];                 /* DLC type for default workstation.*/
    UCHAR  num_wks_lus;                 /* Number of defined workstation LUs*/
    UCHAR  dedicated_link_name[8];      /* link name of link from GW to host*/
                                        /* dedicated for downstream PU      */
    UCHAR  alert_passthru;              /* ALERT_PASSTHRU(YES/NO) flag      */
    UCHAR  reserv4[38];                 /* reserved                         */

} DEFINE_GW_WKS;


typedef struct wks_lu_overlay          /* One for each workstation lu     */

  /**************************************************************************/
  /* The address of the first of these structures should be: define_gw_wks  */
  /* + sizeof(define_gw_wks) to build the next block of wks lu information, */
  /* add: sizeof(wks_lu_overlay)                                            */
  /**************************************************************************/

{
    UCHAR  wks_lu_name[8];              /* workstation lu name              */
    UCHAR  host_link_name[8];           /* link name for link from GW to    */
                                        /* host which this wks LU will be   */
                                        /* using.                           */
    UCHAR  nau_address_at_wks;          /* NAU address of lu at the wks     */
    UCHAR  nau_address_at_host;         /* NAU address of lu at host,  only */
                                        /*  required if pool name not given */
    UCHAR  pool_name[8];                /* pool used by the pooled LU.      */
    UCHAR  lu_model_name[7];            /* Self-defining dep LU model name  */
    UCHAR  reserv1[3];                  /* reserved                         */
} WKS_LU_OVERLAY;


typedef struct define_gw_pools {
    USHORT opcode;                     /* Verb operation code               */
                                       /*   AP_DEFINE_GW_POOLS              */
    UCHAR  reserv1[6];                 /* Reserved                          */
    USHORT primary_rc;                 /* Primary RETURN_CODE               */
    UCHAR  reserv2[2];                 /* Reserved                          */
    ULONG  secondary_rc;               /* Secondary RETURN_CODE             */
    UCHAR  reserv3[4];                 /* Reserved                          */
    UCHAR  key[8];                     /* Key (ASCII)                       */
    UCHAR  host_link_name[8];          /* link name for link from GW to     */
                                       /* host associated with these pools  */
    UCHAR  num_lu_pools;               /* number of defined lu pool overlays*/
    UCHAR  wks_link_name[8];           /* link name of link from GW to wks  */
                                       /* using dedicated downstream PU     */
    UCHAR  reserv4[39];                /* Reserved                          */

} DEFINE_GW_POOLS;


typedef struct lu_pool_overlay       /* One for each pool group           */

  /**************************************************************************/
  /* The address of the first of these structures should be:                */
  /* define_gw_pools + sizeof(define_gw_pools).  To build each successive   */
  /* lu_pool requires stepping through the list of previous lu_pools since  */
  /* each of the previous lu_pools are variable length.                     */
  /* The address of a particular lu_pool_overlay is therefore:              */
  /*  previous_lu_pool+sizeof(lu_pool_overlay)+                             */
  /*  (previous_lu_pool.num_nau_ranges*sizeof(nau_range_overlay))           */
  /**************************************************************************/

{
    UCHAR  pool_name[8];                 /* pool name                       */
    USHORT auto_logoff_timer;            /* timer value for this pool       */
    UCHAR  num_nau_ranges;               /* Number of specified NAU ranges  */
    UCHAR  lu_model_name[7];             /* Self-defining dep LU model name */
    UCHAR  reserv1[6];                   /* reserved                        */
} LU_POOL_OVERLAY;


typedef struct nau_range_overlay         /* One for each nau_range          */

  /**************************************************************************/
  /* To find the address of the first of these structures you must know the */
  /* address of the LU_POOL_OVERLAY of interest (see description above).    */
  /* Assuming the address of the LU_POOL_OVERLAY is LU_POOL then the address*/
  /* of the first nau_range is:                                             */
  /* LU_POOL + sizeof(lu_pool_overlay),  to build the next block of nau     */
  /* ranges add: sizeof(nau_range_overlay).                                 */
  /**************************************************************************/

{
    UCHAR  nau_min;                     /* Starting NAU address             */
    UCHAR  nau_max;                     /* End NAU address                  */
    UCHAR  reserv1[2];                  /* reserved                         */
} NAU_RANGE_OVERLAY;


#endif

#ifdef __cplusplus
  }
#endif
